Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.beans
Interface MenuItem

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  SimpleMenuItem

    public interface MenuItem

extends java.io.Serializable

Interface for MenuItems.

Version:
  $Rev: 527870 $ $Date: 2007-04-12 12:19:41 +0200 (gio, 12 apr 2007) $
See Also:
  `SimpleMenuItem`

Method Summary
`java.lang.String` | `getIcon()` Returns the icon URL of this menu item.
`java.lang.String` | `getLink()` Returns the URL of this menu item.
`java.lang.String` | `getTooltip()` Returns the tooltip text.
`java.lang.String` | `getValue()` Returns the value (i.e. the visible part) of this menu item.
`void` | `setIcon(java.lang.String link)` Sets the icon URL of this menu item.
`void` | `setLink(java.lang.String link)` Sets the URL of this menu item.
`void` | `setTooltip(java.lang.String link)` Sets the tooltip text.
`void` | `setValue(java.lang.String value)` Sets the value (i.e. the visible part) of this menu item.

Method Detail

### setValue

    void setValue(java.lang.String value)

  Sets the value (i.e. the visible part) of this menu item.

  Parameters:
    `value` - The value of this item.

### getValue

    java.lang.String getValue()

  Returns the value (i.e. the visible part) of this menu item.

  Returns:
    The value of this item.

### setLink

    void setLink(java.lang.String link)

  Sets the URL of this menu item.

  Parameters:
    `link` - The URL of this item.

### getLink

    java.lang.String getLink()

  Returns the URL of this menu item.

  Returns:
    The URL of this item.

### setIcon

    void setIcon(java.lang.String link)

  Sets the icon URL of this menu item.

  Parameters:
    `link` - The icon URL.

### getIcon

    java.lang.String getIcon()

  Returns the icon URL of this menu item.

  Returns:
    The icon URL.

### setTooltip

    void setTooltip(java.lang.String link)

  Sets the tooltip text.

  Parameters:
    `link` - The tooltip text.

### getTooltip

    java.lang.String getTooltip()

  Returns the tooltip text.

  Returns:
    The tooltip text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.